org.eclipse.actf.util.win32.comclutch

## Interface IDispatch

All Superinterfaces:
  IResource, IUnknown

All Known Subinterfaces:
  IAccessible

All Known Implementing Classes:
  Handler

    public interface IDispatch
    extends IUnknown

Wrapper for IDispatch object see http://msdn.microsoft.com/en-us/library/ms221608.aspx IDispatch interface defines the methods to be used for method invocation and property operations with instances of native IDispatch.

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`void` `cacheDispIDs(String[] names)` cache IDs corresponding to the names
`Object` `get(String prop)`
`Object` `get(String prop, Object[] args)`
`Object` `invoke(String method, Object[] args)`
`Object` `invoke0(String method)`
`Object` `invoke1(String method, Object arg1)`
`IDispatch` `newIDispatch(long ptr)`
`void` `put(String prop, Object val)`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Method Detail

#### cacheDispIDs

    void cacheDispIDs(String[] names)

cache IDs corresponding to the names

Parameters:
  `names` - the names of properties and methods

#### invoke

    Object invoke(String method,
                Object[] args)

Parameters:
  `method` - the method name
  `args` - the array of arguments
Returns:
  the result of the native invocation

#### invoke0

    Object invoke0(String method)

Parameters:
  `method` - the method name
Returns:
  the result of the native invocation

#### invoke1

    Object invoke1(String method,
                 Object arg1)

Parameters:
  `method` - the method name
  `arg1` - the argument
Returns:
  the result of the native invocation

#### get

    Object get(String prop)

Parameters:
  `prop` - the property name
Returns:
  the value of the property

#### put

    void put(String prop,
           Object val)

Parameters:
  `prop` - the property name
  `val` - the value to be set to the property

#### newIDispatch

    IDispatch newIDispatch(long ptr)

Parameters:
  `ptr` -
Returns:
  It will be called from native code

#### get

    Object get(String prop,
             Object[] args)

Parameters:
  `prop` - the property name
  `args` - the array of arguments
Returns:
  the value of the property